com.google.cloud.dataflow.sdk.values

## Class POutputValueBase

- java.lang.Object
- - com.google.cloud.dataflow.sdk.values.POutputValueBase

All Implemented Interfaces:
  POutput

Direct Known Subclasses:
  PDone, PValueBase

    public abstract class POutputValueBase
    extends Object
    implements POutput

A `POutputValueBase` is the abstract base class of `PTransform` outputs.

A `PValueBase` that adds tracking of its producing `AppliedPTransform`.

For internal use.

### Constructor Summary

Constructors
`protected` `POutputValueBase()` No-arg constructor for Java serialization only.
`protected` `POutputValueBase(Pipeline pipeline)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `finishSpecifyingOutput()` Default behavior for `finishSpecifyingOutput()` is to do nothing.
`Pipeline` `getPipeline()` Returns the owning `Pipeline` of this `POutput`.
`AppliedPTransform<?,?,?>` `getProducingTransformInternal()` Returns the `AppliedPTransform` that this `POutputValueBase` is an output of.
`void` `recordAsOutput(AppliedPTransform<?,?,?> transform)` Records that this `POutputValueBase` is an output with the given name of the given `AppliedPTransform`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.POutput

`expand`

### Constructor Detail

#### POutputValueBase

    protected POutputValueBase(Pipeline pipeline)

#### POutputValueBase

    protected POutputValueBase()

No-arg constructor for Java serialization only. The resulting `POutputValueBase` is unlikely to be valid.

### Method Detail

#### getPipeline

    public Pipeline getPipeline()

Description copied from interface: `POutput`
Returns the owning `Pipeline` of this `POutput`.

Specified by:
  `getPipeline` in interface `POutput`

#### getProducingTransformInternal

    public AppliedPTransform<?,?,?> getProducingTransformInternal()

Returns the `AppliedPTransform` that this `POutputValueBase` is an output of.

For internal use only.

#### recordAsOutput

    public void recordAsOutput(AppliedPTransform<?,?,?> transform)

Records that this `POutputValueBase` is an output with the given name of the given `AppliedPTransform`.

To be invoked only by `POutput.recordAsOutput(com.google.cloud.dataflow.sdk.transforms.AppliedPTransform<?, ?, ?>)` implementations. Not to be invoked directly by user code.

Specified by:
  `recordAsOutput` in interface `POutput`

#### finishSpecifyingOutput

    public void finishSpecifyingOutput()

Default behavior for `finishSpecifyingOutput()` is to do nothing. Override if your `PValue` requires finalization.

Specified by:
  `finishSpecifyingOutput` in interface `POutput`